# Copyright (C) 2007 by Intevation GmbH
# Authors:
# Bernhard Herzog <bh@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""Common command line options"""

import os
from optparse import OptionParser


def create_parser():
    """Creates an OptionParser with common tree packager options"""
    parser = OptionParser()
    dirname = os.path.dirname(__file__)
    parser.set_defaults(config_file=os.path.join(dirname, os.pardir,
                                                 "treepkg.cfg"))
    parser.add_option("--config-file", "--config", dest="config_file",
                      help=("The tree packager config file."
                            " Default treepkg.cfg"))
    return parser
